
sub bitdefender_scanner {
  #BitDefender Linux scanner
  &debug("bitdefender: starting scan of directory \"$ENV{'TMPDIR'}\"...",5);

  my ($start_bitdefender_time)=[gettimeofday];
  my ($DD,$bitdefender_status,$ebitdefender_status,$stop_bitdefender_time,$bitdefender_time,$bitdefender_verbose);
  $bitdefender_verbose="--list" if ($DEBUG);

  &debug("run $bitdefender_binary  $bitdefender_verbose --all --alev=10 --flev=10 --arc --mail   $ENV{'TMPDIR'}  2>&1",5);

  $DD=`$bitdefender_binary $bitdefender_verbose --all --alev=10 --flev=10 --arc --mail  $ENV{'TMPDIR'} 2>&1`;
  $bitdefender_status=$?;
  $ebitdefender_status=($bitdefender_status >> 8);

  &debug("--output of bdc was:\n$DD--",5);


  if ( $ebitdefender_status !~ /^(0|11)$/ ) {
    if ($DD =~ /(.*) (suspected|infected):\s+(.*)$/m) {
      $quarantine_description=$3;
      $quarantine_description=~s/^\s+//g;
      &debug("bitdefender: there be a virus! ($quarantine_description)",1);
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="BITDEFENDER:".substr($quarantine_event,0,$QE_LEN);
      $description .= "\n---bitdefender results ---\n$DD";
    } else {
      #This implies a corrupt set of DAT files or resource problems...
      &error_condition("corrupt or unknown BitDefender  scanner error or memory/resource/perms problem - exit status $bitdefender_status/$ebitdefender_status");
    }  
  } elsif ($ebitdefender_status > 0) {
    #This implies a corrupt set of DAT files or resource problems... 
    &error_condition("corrupt or unknown BitDefender  scanner error or memory /resource/perms problem - exit status $bitdefender_status/$ebitdefender_status"); 
  } 

  $stop_bitdefender_time=[gettimeofday];
  $bitdefender_time = tv_interval ($start_bitdefender_time, $stop_bitdefender_time);
  &debug("bitdefender: finished scan in $bitdefender_time secs",2);
}
