sub altermime {
  #
  # altermime module for qmail-scanner to add disclaimer information.
  #
  my ($alter_options);
  my ($start_altermime_time)=[gettimeofday];
  my ($DD,$stop_altermime_time, $altermime_time);

  # Only add disclaimer if defined
  if ($headers{'MAILFROM'} =~ /$disclaimer_regex/i ) {

    if ( $altermime_text && $altermime_html ) {
         $alter_options = "--disclaimer=$altermime_text --disclaimer-html=$altermime_html ";
    } else {
         $alter_options = "--disclaimer=$altermime_text --htmltoo ";
    }
    $alter_options .= "--input=$scandir/$wmaildir/new/$file_id";

    &debug("AM: run $altermime_binary $alter_options");
    $DD=`$altermime_binary $alter_options 2>&1`;
    $stop_altermime_time=[gettimeofday];
    $altermime_time = tv_interval ($start_altermime_time, $stop_altermime_time);
    &debug("altermime: finished scan of dir \"$ENV{'TMPDIR'}\" in $altermime_time secs");

  }
}

